<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="br.ufms.facom.icarus">

    <uses-sdk />

    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACTION_SEND" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-feature android:name="android.hardware.camera.flash" />


    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_provider_paths" />
        </provider>
        <activity
            android:name=".application.view.activities.SplashScreemActivity"
            android:label="@string/app_name"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".application.view.activities.ItemDetailsActivity"
            android:label="@string/title_activity_details_item"
            android:theme="@style/AppTheme.NoActionBar">
        </activity>

        <activity
            android:name=".application.view.activities.MainNavigationDrawerActivity"
            android:label="@string/app_name"
            android:theme="@style/AppTheme.NoActionBar">
        </activity>

        <activity
            android:name=".application.view.activities.AboutActivity"
            android:label="@string/title_activity_sobre"
            android:theme="@style/AppTheme.NoActionBar">
        </activity>

        <activity
            android:name=".application.view.activities.ItemActivity"
            android:label="@string/title_activity_item"
            android:theme="@style/AppTheme.NoActionBar">
        </activity>
        <activity
            android:name=".learning.detection.DetectorActivity"
            android:label="@string/activity_name_detection"
            android:screenOrientation="portrait">
        </activity>

        <activity
            android:name=".learning.classification.ClassifierActivity"
            android:label="@string/activity_name_classification"
            android:screenOrientation="portrait">
        </activity>
    </application>

</manifest>